summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/pytest')
-rw-r--r--dev-python/pytest/Manifest4
-rw-r--r--dev-python/pytest/files/pytest-3.4.2-pypy-syntaxerror-offset.patch27
-rw-r--r--dev-python/pytest/files/pytest-4.5.0-strip-setuptools_scm.patch25
-rw-r--r--dev-python/pytest/pytest-3.2.2.ebuild75
-rw-r--r--dev-python/pytest/pytest-3.4.2.ebuild87
-rw-r--r--dev-python/pytest/pytest-4.5.0.ebuild (renamed from dev-python/pytest/pytest-4.4.0.ebuild)16
6 files changed, 36 insertions, 198 deletions
diff --git a/dev-python/pytest/Manifest b/dev-python/pytest/Manifest
index 44edbf31ca8..607a625f644 100644
--- a/dev-python/pytest/Manifest
+++ b/dev-python/pytest/Manifest
@@ -1,4 +1,2 @@
DIST pytest-3.10.1.tar.gz 892420 BLAKE2B 38849ae69bf4380bc1a99aa105cac04be078da4460373dfc16fa555238b2830fa2f5ae6c19de8aa2af9ac18d87c5d2705d62f7b2e67e4a62d843f6a28bbd76fd SHA512 30ff79c0fdcbeef68e1191ff400a20428e391717f06957f554b694b94baaaa565dca01346fe989c3e443c4402f3b2bdbd5564f6303a4447f933fb54cba45628f
-DIST pytest-3.2.2.tar.gz 786396 BLAKE2B e669da930890e902b0323ec3a6685080ddd889e74655f7b4cb08ec421651f987597021a31471aab5a32d637b99620ce7792cbdf8f85561db3bb10ff06a446ba1 SHA512 6df3a50e7d1efeaf7a283920b16d1daf800798f422bc851b0aacd2bbd5cb0a88c95f9057fae49943b9dfe6527ed552cdf8d983b944ab91d0af252ee4f6eb82db
-DIST pytest-3.4.2.tar.gz 812719 BLAKE2B 96623d6cdea4bd79778175c18c949938505f1862010f700f9a8cb85f445910381af391a5b69e664fbbfc254bf46502c798c72026772070236a0a3bca7aeeb3d6 SHA512 787065ab76d4482799bb2da9f024c9c383e68cc1cc01f3b80f6ed9444ca6383d20953615696ed4dd01668777b094cf5002b23c4ce51828879dcf8ebf2170c71b
-DIST pytest-4.4.0.tar.gz 931197 BLAKE2B f63186f2bd372bb1acfbc0273dcdf43f78a7c7e4ae7d6e91d4f8e59804c40437da06a69e93fe128b6d31b1144a51aea953145bce780bde0037ef395d64ed30b4 SHA512 c3e2f75434bdf712d1773eb9220c4258a7c57f92c8172033989e6bb78cfa8e2198e9fecce8daf27935e8eb71f416fcdc1a6a9a135cf8c925fbfaeaf80f616411
+DIST pytest-4.5.0.tar.gz 943607 BLAKE2B 49a0e91fda7f4231fdd39f90eb2daa344d3034c10faff221330ea0ae7482a2a7d0fb9443a0a264db00f1d92568d5a6005cb73e07d8643b46906f7ecff831adcb SHA512 cbffc6216f83491b1de241058315c116697bfaa5206b5f558192a7f861d43dd036d30d0d689bedae7bdee4f0258dd19ef5827c356e11863dd596a5fabe8249fc
diff --git a/dev-python/pytest/files/pytest-3.4.2-pypy-syntaxerror-offset.patch b/dev-python/pytest/files/pytest-3.4.2-pypy-syntaxerror-offset.patch
deleted file mode 100644
index 622be56b4e5..00000000000
--- a/dev-python/pytest/files/pytest-3.4.2-pypy-syntaxerror-offset.patch
+++ /dev/null
@@ -1,27 +0,0 @@
-https://salsa.debian.org/python-team/modules/pytest/commit/405c05a0827592515de76e23c94de1f7773273e6.patch
-
-From 405c05a0827592515de76e23c94de1f7773273e6 Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Ond=C5=99ej=20Nov=C3=BD?= <onovy@debian.org>
-Date: Thu, 10 May 2018 11:42:56 +0200
-Subject: [PATCH] Fix PyPy SyntaxError offset in tests
-
----
- testing/code/test_source.py | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/testing/code/test_source.py b/testing/code/test_source.py
-index fcce3fa..22278d8 100644
---- a/testing/code/test_source.py
-+++ b/testing/code/test_source.py
-@@ -117,7 +117,7 @@ def test_source_strip_multiline():
- def test_syntaxerror_rerepresentation():
- ex = pytest.raises(SyntaxError, _pytest._code.compile, 'xyz xyz')
- assert ex.value.lineno == 1
-- assert ex.value.offset in (4, 7) # XXX pypy/jython versus cpython?
-+ assert ex.value.offset in (4, 5, 7) # XXX pypy/jython versus cpython?
- assert ex.value.text.strip(), 'x x'
-
-
---
-2.18.0
-
diff --git a/dev-python/pytest/files/pytest-4.5.0-strip-setuptools_scm.patch b/dev-python/pytest/files/pytest-4.5.0-strip-setuptools_scm.patch
new file mode 100644
index 00000000000..ae6be933bca
--- /dev/null
+++ b/dev-python/pytest/files/pytest-4.5.0-strip-setuptools_scm.patch
@@ -0,0 +1,25 @@
+diff --git a/setup.py b/setup.py
+index 0fb5a58a..302b5dda 100644
+--- a/setup.py
++++ b/setup.py
+@@ -1,4 +1,5 @@
+ from setuptools import setup
++import os
+
+ # TODO: if py gets upgrade to >=1.6,
+ # remove _width_of_current_line in terminal.py
+@@ -18,10 +19,12 @@ INSTALL_REQUIRES = [
+ ]
+
+
++with open("src/_pytest/_version.py", 'wt') as fp:
++ fp.write('version = "{}"'.format(os.environ['PV']))
++
+ def main():
+ setup(
+- use_scm_version={"write_to": "src/_pytest/_version.py"},
+- setup_requires=["setuptools-scm", "setuptools>=40.0"],
++ version=os.environ['PV'],
+ package_dir={"": "src"},
+ # fmt: off
+ extras_require={
diff --git a/dev-python/pytest/pytest-3.2.2.ebuild b/dev-python/pytest/pytest-3.2.2.ebuild
deleted file mode 100644
index 3aead274c8d..00000000000
--- a/dev-python/pytest/pytest-3.2.2.ebuild
+++ /dev/null
@@ -1,75 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy{,3} )
-
-inherit distutils-r1
-
-DESCRIPTION="Simple powerful testing with Python"
-HOMEPAGE="http://pytest.org/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 s390 sparc x86 ~amd64-fbsd ~amd64-linux ~x86-linux"
-IUSE="doc test"
-
-# When bumping, please check setup.py for the proper py version
-PY_VER="1.4.33"
-COMMON_DEPEND="
- >=dev-python/py-${PY_VER}[${PYTHON_USEDEP}]
- dev-python/setuptools[${PYTHON_USEDEP}]
- doc? (
- dev-python/pyyaml[${PYTHON_USEDEP}]
- dev-python/sphinx[${PYTHON_USEDEP}]
- )"
-
-DEPEND="${COMMON_DEPEND}
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
- test? (
- >=dev-python/hypothesis-3.5.2[${PYTHON_USEDEP}]
- >dev-python/pytest-xdist-1.13[${PYTHON_USEDEP}]
- dev-python/nose[${PYTHON_USEDEP}]
- dev-python/mock[${PYTHON_USEDEP}]
- dev-python/requests[${PYTHON_USEDEP}]
- )"
-
-RDEPEND="
- ${COMMON_DEPEND}
- !<dev-python/logilab-common-1.3.0"
-
-python_prepare_all() {
- chmod o-w *egg*/* || die
- # Disable versioning of py.test script to avoid collision with
- # versioning performed by the eclass.
- sed -e "s/return points/return {'py.test': target}/" -i setup.py || die "sed failed"
- grep -qF "py>=${PY_VER}" setup.py || die "Incorrect dev-python/py dependency"
-
- # Something in the ebuild environment causes this to hang/error.
- # https://bugs.gentoo.org/598442
- rm testing/test_pdb.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- # test_nose.py not written to suit py3.2 in pypy3
- if [[ "${EPYTHON}" == pypy3 ]]; then
- "${PYTHON}" "${BUILD_DIR}"/lib/pytest.py --lsof -rfsxX \
- --ignore=testing/BUILD_nose.py \
- || die "tests failed with ${EPYTHON}"
- else
- "${PYTHON}" "${BUILD_DIR}"/lib/pytest.py --lsof -rfsxX testing || die "tests failed with ${EPYTHON}"
- fi
-}
-
-python_compile_all(){
- use doc && emake -C doc/en html
-}
-
-python_install_all() {
- use doc && HTML_DOCS=( doc/en/_build/html/. )
- distutils-r1_python_install_all
-}
diff --git a/dev-python/pytest/pytest-3.4.2.ebuild b/dev-python/pytest/pytest-3.4.2.ebuild
deleted file mode 100644
index be294ac486b..00000000000
--- a/dev-python/pytest/pytest-3.4.2.ebuild
+++ /dev/null
@@ -1,87 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python2_7 python3_{5,6} pypy{,3} )
-
-inherit distutils-r1
-
-DESCRIPTION="Simple powerful testing with Python"
-HOMEPAGE="http://pytest.org/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="alpha amd64 arm ~arm64 ~hppa ia64 ~mips ppc ppc64 s390 sparc x86 ~amd64-fbsd ~amd64-linux ~x86-linux"
-IUSE="doc test"
-
-# When bumping, please check setup.py for the proper py version
-PY_VER="1.5.0"
-COMMON_DEPEND="
- >=dev-python/attrs-17.2.0[${PYTHON_USEDEP}]
- >=dev-python/pluggy-0.5[${PYTHON_USEDEP}]
- <dev-python/pluggy-0.7
- >=dev-python/py-${PY_VER}[${PYTHON_USEDEP}]
- dev-python/setuptools[${PYTHON_USEDEP}]
- >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
- virtual/python-funcsigs[${PYTHON_USEDEP}]
- doc? (
- dev-python/pyyaml[${PYTHON_USEDEP}]
- dev-python/sphinx[${PYTHON_USEDEP}]
- )"
-
-# flake & pytest-capturelog cause a number of tests to fail
-DEPEND="${COMMON_DEPEND}
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
- test? (
- >=dev-python/hypothesis-3.5.2[${PYTHON_USEDEP}]
- >=dev-python/pytest-xdist-1.22.2[${PYTHON_USEDEP}]
- dev-python/nose[${PYTHON_USEDEP}]
- dev-python/mock[${PYTHON_USEDEP}]
- dev-python/requests[${PYTHON_USEDEP}]
- !!dev-python/flaky
- !!dev-python/pytest-capturelog
- )"
-
-RDEPEND="
- ${COMMON_DEPEND}
- !<dev-python/logilab-common-1.3.0"
-
-python_prepare_all() {
- local PATCHES=(
- "${FILESDIR}"/pytest-3.4.2-pypy-syntaxerror-offset.patch
- )
-
- grep -qF "py>=${PY_VER}" setup.py || die "Incorrect dev-python/py dependency"
-
- # Something in the ebuild environment causes this to hang/error.
- # https://bugs.gentoo.org/598442
- rm testing/test_pdb.py || die
-
- # broken and disabled upstream
- # https://github.com/pytest-dev/pytest/commit/321f66f71148c978c1bf45dace61886b5e263bd4
- sed -i -e 's:test_wrapped_getfuncargnames_patching:_&:' \
- testing/python/integration.py || die
-
- # those tests appear to hang with python3.5+; TODO: investigate why
- sed -i -e 's:test_runtest_location_shown_before_test_starts:_&:' \
- testing/test_terminal.py || die
- sed -i -e 's:test_trial_pdb:_&:' testing/test_unittest.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- "${PYTHON}" "${BUILD_DIR}"/lib/pytest.py --lsof -rfsxX \
- -vv testing || die "tests failed with ${EPYTHON}"
-}
-
-python_compile_all(){
- use doc && emake -C doc/en html
-}
-
-python_install_all() {
- use doc && HTML_DOCS=( doc/en/_build/html/. )
- distutils-r1_python_install_all
-}
diff --git a/dev-python/pytest/pytest-4.4.0.ebuild b/dev-python/pytest/pytest-4.5.0.ebuild
index 1f98542589d..9ac01361eb3 100644
--- a/dev-python/pytest/pytest-4.4.0.ebuild
+++ b/dev-python/pytest/pytest-4.5.0.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
IUSE="test"
# When bumping, please check setup.py for the proper py version
@@ -26,24 +26,28 @@ RDEPEND="
>=dev-python/attrs-17.4.0[${PYTHON_USEDEP}]
>=dev-python/more-itertools-4.0.0[${PYTHON_USEDEP}]
$(python_gen_cond_dep 'dev-python/pathlib2[${PYTHON_USEDEP}]' python2_7 python3_5 )
- >=dev-python/pluggy-0.9[${PYTHON_USEDEP}]
+ >=dev-python/pluggy-0.11[${PYTHON_USEDEP}]
+ <dev-python/pluggy-1
>=dev-python/py-${PY_VER}[${PYTHON_USEDEP}]
>=dev-python/setuptools-40[${PYTHON_USEDEP}]
- >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/wcwidth[${PYTHON_USEDEP}]
virtual/python-funcsigs[${PYTHON_USEDEP}]"
-# flake & pytest-capturelog cause a number of tests to fail
+# flake cause a number of tests to fail
DEPEND="${RDEPEND}
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
test? (
>=dev-python/hypothesis-3.56[${PYTHON_USEDEP}]
dev-python/nose[${PYTHON_USEDEP}]
$(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' -2)
dev-python/requests[${PYTHON_USEDEP}]
!!dev-python/flaky
- !!<dev-python/pytest-xdist-1.22
)"
+PATCHES=(
+ "${FILESDIR}/${PN}-4.5.0-strip-setuptools_scm.patch"
+)
+
python_prepare_all() {
grep -qF "py>=${PY_VER}" setup.py || die "Incorrect dev-python/py dependency"